"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const OS = tslib_1.__importStar(require("os"));
const Path = tslib_1.__importStar(require("path"));
const node_shared_1 = require("../../../../bld/node-shared");
class Config extends node_shared_1.AbstractConfig {
    get remoteURL() {
        let { remote: { host, url }, } = this.raw;
        return url || `http://${host}:8022`;
    }
    get remoteHost() {
        return this.raw.remote.host;
    }
    get port() {
        let { port = 8022 } = this.raw;
        return port;
    }
    get vscodeExecutable() {
        let { vscodeExecutable = 'code' } = this.raw;
        return vscodeExecutable;
    }
    get sshExecutable() {
        let { sshExecutable = 'ssh' } = this.raw;
        return sshExecutable;
    }
    get sshConfigFilePath() {
        let { sshConfigFile } = this.raw;
        return sshConfigFile
            ? Path.resolve(sshConfigFile)
            : Path.join(OS.homedir(), '.ssh/config');
    }
    get toLaunchBrowser() {
        let { launchBrowser = true } = this.raw;
        return launchBrowser;
    }
}
exports.Config = Config;
//# sourceMappingURL=config.js.map