"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const FSE = tslib_1.__importStar(require("fs-extra"));
const strip_json_comments_1 = tslib_1.__importDefault(require("strip-json-comments"));
async function gracefulReadJSONFile(path) {
    let jsonc = await FSE.readFile(path, 'utf8').catch(() => undefined);
    let json = jsonc && strip_json_comments_1.default(jsonc);
    return json && JSON.parse(json);
}
exports.gracefulReadJSONFile = gracefulReadJSONFile;
//# sourceMappingURL=utils.js.map